# wxRichTextStyleDefinition Class Reference
[Rich Text]

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleDefinition:
[legend]

## Detailed Description

This is a base class for paragraph and character styles.

##

Library: wxRichText

Category: Rich Text

## Public Member Functions
| wxRichTextStyleDefinition (const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxRichTextStyleDefinition ()
| Destructor.
const wxString & | GetBaseStyle () const
| Returns the style on which this style is based.
const wxString & | GetDescription () const
| Returns the style's description.
const wxString & | GetName () const
| Returns the style name.
virtual wxTextAttr | GetStyleMergedWithBase (const wxRichTextStyleSheet *sheet) const
| Returns the style attributes combined with the attributes of the specified base style, if any.
void | SetBaseStyle (const wxString &name)
| Sets the name of the style that this style is based on.
void | SetDescription (const wxString &descr)
| Sets the style description.
void | SetName (const wxString &name)
| Sets the name of the style.
void | SetStyle (const wxTextAttr &style)
| Sets the attributes for this style.
wxTextAttr | GetStyle () const
| Returns the attributes associated with this style.
const wxTextAttr | GetStyle () const
| Returns the attributes associated with this style.

List of all members.

## Constructor & Destructor Documentation

wxRichTextStyleDefinition::wxRichTextStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

virtual wxRichTextStyleDefinition::~wxRichTextStyleDefinition | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

const wxString& wxRichTextStyleDefinition::GetBaseStyle | ( |  | ) | const

Returns the style on which this style is based.

const wxString& wxRichTextStyleDefinition::GetDescription | ( |  | ) | const

Returns the style's description.

const wxString& wxRichTextStyleDefinition::GetName | ( |  | ) | const

Returns the style name.

const wxTextAttr wxRichTextStyleDefinition::GetStyle | ( |  | ) | const

Returns the attributes associated with this style.

wxTextAttr wxRichTextStyleDefinition::GetStyle | ( |  | ) | const

Returns the attributes associated with this style.

virtual wxTextAttr wxRichTextStyleDefinition::GetStyleMergedWithBase | ( | const wxRichTextStyleSheet * | sheet | ) | const`[virtual]`

Returns the style attributes combined with the attributes of the specified base style, if any.

This function works recursively.

void wxRichTextStyleDefinition::SetBaseStyle | ( | const wxString & | name | ) |

Sets the name of the style that this style is based on.

void wxRichTextStyleDefinition::SetDescription | ( | const wxString & | descr | ) |

Sets the style description.

void wxRichTextStyleDefinition::SetName | ( | const wxString & | name | ) |

Sets the name of the style.

void wxRichTextStyleDefinition::SetStyle | ( | const wxTextAttr & | style | ) |

Sets the attributes for this style.

|  | [ top ]